gis-tools-for-hadoop
====================

The [__GIS Tools for Hadoop__](http://esri.github.io/gis-tools-for-hadoop/) are a collection of GIS tools that leverage 
the [Spatial Framework for Hadoop](https://github.com/Esri/spatial-framework-for-hadoop)
for spatial analysis of big data.  The tools make use of 
the [Geoprocessing Tools for Hadoop](https://github.com/Esri/geoprocessing-tools-for-hadoop) toolbox,
to provide access to the Hadoop system from the ArcGIS Geoprocessing environment. 

## Features

* Sample tools that demonstrate full stack implementations of all the resources provided to solve GIS problems 
using Hadoop
* Templates for building custom tools that solve specific problems


![GIS Tools Breakdown](http://esri.github.com/gis-tools-for-hadoop/images/gis-tools-breakdown.png)

**Resources for building custom tools**
* [Spatial Framework for Hadoop](https://github.com/Esri/spatial-framework-for-hadoop) 
 * Java helper utilities for Hadoop developers
 * Hive spatial user-defined functions 
* [Esri Geometry API Java](https://github.com/Esri/geometry-api-java) - Java geometry library for spatial data 
processing 
* [Geoprocessing Tools](https://github.com/Esri/geoprocessing-tools-for-hadoop) - ArcGIS Geoprocessing tools 
for Hadoop


## Instructions

Start out by navigating to [samples](https://github.com/Esri/gis-tools-for-hadoop/tree/master/samples) and 
following the instructions provided with each sample.  Once you are comfortable with the whole setup, check out 
the templates and see if they can be tailored to fit your big data GIS needs.

## Requirements

Requirements will differ depending on the needs of each tool or template. At a minimum, you will need:

* Access to an [Apache Hadoop](http://hadoop.apache.org) cluster
* [ArcGIS for Desktop](http://www.esri.com/software/arcgis/arcgis-for-desktop) or 
[Server](http://www.esri.com/software/arcgis/arcgisserver) for geoprocessing and visualization

Other requirements may include:

* [Apache Hive](http://hive.apache.org/) in order to run Hive queries
* [Apache Oozie Workflow Scheduler](http://oozie.apache.org/) for workflow scheduling

Additional requirements will be spelled out by tools or templates.

## Resources

* [ArcGIS Geodata Resource Center]( http://resources.arcgis.com/en/communities/geodata/)
* [ArcGIS Blog](http://blogs.esri.com/esri/arcgis/)
* [twitter@esri](http://twitter.com/esri)

## Issues

Find a bug or want to request a new feature?  Please let us know by submitting an issue.

## Contributing

Esri welcomes contributions from anyone and everyone. Please see our [guidelines for contributing](https://github.com/esri/contributing)

## Licensing
Copyright 2013 Esri

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at:

   http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

A copy of the license is available in the repository's 
[license.txt]( https://raw.github.com/Esri/gis-tools-for-hadoop/master/license.txt) file.

[](Esri Tags: ArcGIS, GIS, Analysis, Big Data, GP, Geoprocessing, Hadoop, Hive, Oozie, Workflow, JSON, Java)
[](Esri Language: Python)

